| Home | Libraries | People | FAQ | More

## Struct template multiplies

boost::proto::multiplies — A metafunction for generating multiplies expression types, a grammar element for matching multiplies expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename T, typename U>
    struct multiplies :  proto::transform< multiplies<T, U> > {
      // types
      typedef proto::expr< proto::tag::multiplies, proto::list2< T, U > >       type;
      typedef proto::basic_expr< proto::tag::multiplies, proto::list2< T, U > > proto_grammar;

      // member classes/structs/unions
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<multiplies>::template impl<Expr, State, Data>
      {
      };
    };

## Description